using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 试题知识点
    /// </summary>
    [Description("试题知识点")]
    public class T_SE_TEST_ENUM_POINT : MesEntityBase
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        [DataFieldLength(100)]
        public string CODE { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        [DataFieldLength(100)]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldIndex(true)]
        public string NAME { get; set; }

        /// <summary>
        /// 知识点类型
        /// </summary>
        [Description("知识点类型")]
        [EnumName("SETestUsageEnum")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public SETestUsageEnum TYPE { get; set; }
    }
}
